Support Questions
Find answers, ask questions, and share your expertise

Version mismatch of datanode after HDP upgrade.

Expert Contributor

I have upgrade HDP from 2.3.4.0 to 2.4.0.0 and all it's ok, but one of the two NameNode tell me:

3445-cattura.png

I have only 3 datanode and I checked the running processes on all: they are to the version 2.4.0

1 ACCEPTED SOLUTION

Accepted Solutions

Re: Version mismatch of datanode after HDP upgrade.

Super Guru

@Davide Isoardi

Can you please try below command:

hdfs dfsadmin -fs hdfs://<problematic-nn-fqdn>:8020 -refreshNodes

Note - Please run above command by hdfs user.

Also, Can you please check datanode logs on hdpslave04 and see if you get anything in there.

View solution in original post

5 REPLIES 5

Re: Version mismatch of datanode after HDP upgrade.

Hi @Davide Isoardi that's particularly strange! Does this state still persist after restarting (or indeed stopping/starting) the services?

Let us know how it goes!

Re: Version mismatch of datanode after HDP upgrade.

Expert Contributor

This state still persist after restart of all HDFS component. I didn't try to stop and start the datanode, but it's strange why I have 3 datanode and not 4. Also shows me the following state:

3446-cattura.png

Re: Version mismatch of datanode after HDP upgrade.

Super Guru

@Davide Isoardi

Can you please try below command:

hdfs dfsadmin -fs hdfs://<problematic-nn-fqdn>:8020 -refreshNodes

Note - Please run above command by hdfs user.

Also, Can you please check datanode logs on hdpslave04 and see if you get anything in there.

View solution in original post

Re: Version mismatch of datanode after HDP upgrade.

Expert Contributor

I have run this command and stop and star the problematic nameNode; Now it's all ok.

Thank you

Re: Version mismatch of datanode after HDP upgrade.

Super Guru

@Davide Isoardi - You are welcome! 🙂